<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xxl.job.executor.report.mapper.BytedanceOperationRecordMapper">

    <select id="insertOperationRecordCampaign">
        replace into
        ctop_bytedance_operation_record_campaign
        (
        account_id,
        stat_date,
        object_id,
        object_type,
        content_title,
        object_name,
        operation_create_time,
        content_log,
        operator,
        opt_ip,
        operation_target
        )
        values
        <foreach collection="records" item="record" separator=",">
            (
            #{record.accountId},
            #{record.statDate},
            #{record.objectId},
            #{record.objectType},
            #{record.contentTitle},
            #{record.objectName},
            #{record.operationCreateTime},
            #{record.contentLog},
            #{record.operator},
            #{record.optIp},
            #{record.operationTarget}
            )
        </foreach>
    </select>

    <select id="insertOperationRecordPlan">
        replace into
        ctop_bytedance_operation_record_plan
        (
        account_id,
        stat_date,
        object_id,
        object_type,
        content_title,
        object_name,
        operation_create_time,
        content_log,
        operator,
        opt_ip,
        operation_target
        )
        values
        <foreach collection="records" item="record" separator=",">
            (
            #{record.accountId},
            #{record.statDate},
            #{record.objectId},
            #{record.objectType},
            #{record.contentTitle},
            #{record.objectName},
            #{record.operationCreateTime},
            #{record.contentLog},
            #{record.operator},
            #{record.optIp},
            #{record.operationTarget}
            )
        </foreach>
    </select>

    <select id="insertOperationRecordCreative">
        replace into
        ctop_bytedance_operation_record_creative
        (
        account_id,
        stat_date,
        object_id,
        object_type,
        content_title,
        object_name,
        operation_create_time,
        content_log,
        operator,
        opt_ip,
        operation_target
        )
        values
        <foreach collection="records" item="record" separator=",">
            (
            #{record.accountId},
            #{record.statDate},
            #{record.objectId},
            #{record.objectType},
            #{record.contentTitle},
            #{record.objectName},
            #{record.operationCreateTime},
            #{record.contentLog},
            #{record.operator},
            #{record.optIp},
            #{record.operationTarget}
            )
        </foreach>
    </select>










</mapper>
